> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update previews



## OpenAPI

````yaml /openapi.yaml put /previews
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /previews:
    put:
      tags:
        - Previews
      summary: Update previews
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreviewsResponse'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreviewsResponse'
components:
  schemas:
    PreviewsResponse:
      type: object
      properties:
        _id:
          type: string
          example: 5b5123318e173922008b457b
        asset:
          type: string
          example: 5b5123268e77c626008b4579
        project:
          type: string
          example: 5a0111e8e7dd7a32008b45c7
        studio:
          type: string
          example: 56ccc253fa1e4681688b456c
        revision:
          type: string
          example: Final
        label:
          type: string
          example: 720px
        created:
          type: integer
          example: 1532044081
        $links:
          type: object
          properties:
            self:
              type: string
              example: //api-staging.pixwel.com/api/Previews/5b5123318e173922008b457b
            asset:
              type: string
              example: //api-staging.pixwel.com/api/Assets/5b5123268e77c626008b4579
            project:
              type: string
              example: //api-staging.pixwel.com/api/Projects/animatedspiderman
            studio:
              type: string
              example: //api-staging.pixwel.com/api/Studios/sony
        path:
          type: string
          example: >-
            https://d2snblcjrm40d5.cloudfront.net/previews/sony/animatedspiderman/standee-1/ANIMATEDSPIDERMAN_IN-THEATER_STANDEE-1__Final__720px.mp4?Expires=1778123327&Signature=cuvUYbSkzFpO1a43uBO7caJRMMZb5mpc~KKwY1ONDf-hsTe0nXrBN7kWFXA3yzcl~hGfsPuIPUwvCzJ3gGehbg4y~PexwOLYPcyZFnUevJaCSvvuyP6xCluNR~O8K3iB2wl-OBzo~14uYHnSXhSfuCZc9HKg58JkwzZ-dOVYiju52a-qsxjNwJ6fYheoEIujIWL4YL1SJ86-lJBUoZbh~8hYIsJJ~MrtD2PM7UawuNzZnPANV7aO9nwrOUFWbO0~WSeyAngmsvhteIlYxfcUM1xOY8DZvBIE4bNHBW6gVSiHz6aD7YLm1leVw9Jx-iXk4hEdMrb-2jfr05Ot0Af79w__&Key-Pair-Id=APKAJUC4E3CVGLCBTRHQ
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````